Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/mate-settings-daemon: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:47:54 +0000

---
 testing/mate-settings-daemon/APKBUILD | 44 +++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/mate-settings-daemon/APKBUILD
diff --git a/testing/mate-settings-daemon/APKBUILD b/testing/mate-settings-daemon/APKBUILD
new file mode 100644
index 0000000..6f15a6a
--- /dev/null
+++ b/testing/mate-settings-daemon/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-settings-daemon
+pkgver=1.9.5
+pkgrel=0
+pkgdesc="MATE Settings daemon"
+url="https://github.com/mate-desktop/mate-settings-daemon"
+arch="all"
+license="GPL2"
+depends="mate-common mate-desktop"
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool intltool
+	glib-dev gtk+-dev dbus-glib-dev dconf-dev libxklavier-dev
+	libmatekbd-dev freeglut-dev libsm-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="93c5affba385c313bc19086a41e4e7b7  mate-settings-daemon-1.9.5.tar.xz"
+sha256sums="dad85da35ed6581d17564da0f0a6546a0c904bc0d5923afd295e0ead2ac00350  mate-settings-daemon-1.9.5.tar.xz"
+sha512sums="05ad0f8cda5ffcacc6b442cdd7785ec959a95212f4fd2bc7e6a2cacfa78c6f53331f459a555d00248bc6e23198e3b6932e9226269a077c4590c3b87bb29d71d6  mate-settings-daemon-1.9.5.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:47:54 GMT